• 关于 ubuntu gd 的搜索结果

问题

安装postgreSQL无法安装imgsmlr

面包逸刀流 2019-12-01 19:58:26 1580 浏览量 回答数 1

问题

ubuntu5.3降级安装5.2

mailshuxin 2019-12-01 20:26:34 10200 浏览量 回答数 3

问题

Ubuntu 14.04上php5,如何安装GD库。apt-get install php5-gd不能安装?

哈宝老刘 2019-12-01 20:22:40 1447 浏览量 回答数 1

新用户福利专场,云服务器ECS低至96.9元/年

新用户福利专场,云服务器ECS低至96.9元/年

问题

阿里云ubuntu10.10安装NGINX及PHP5.4

mailshuxin 2019-12-01 21:20:55 9937 浏览量 回答数 3

回答

yum 是redhat的仓库管理命令,UBUNTU下面不要用yum, 用apt-get install gd-devel

德哥 2019-12-01 23:41:02 0 浏览量 回答数 0

回答

环境:1核1G主机实例: OS:ubuntu 14.04.3Nginx 1.9.9PHP 7.0.1MySQL 5.7.10 Nginx1.9.9下载签名密钥 wget http://nginx.org/keys/nginx_signing.key apt-key add nginx_signing.key 添加nginx源 echo "deb http://nginx.org/packages/mainline/ubuntu/ trusty nginx" >> /etc/apt/sources.listecho "deb-src http://nginx.org/packages/ubuntu/ trusty nginx" >> /etc/apt/sources.list 安装nginx apt-get updateapt-get install nginx PHP7.0.1 apt-get install python-software-properties add-apt-repository ppa:ondrej/php-7.0 apt-get install php7.0-fpm 做一些配置: vi /etc/php/7.0/fpm/php.ini #将cgi.fix_pathinfo=1这一行去掉注释,将1改为0。 dpkg -i mysql-apt-config_xx_all.debapt-get updateapt-get install mysql-server 依赖环境: sudo apt-get install php7.0-cli php7.0-common php7.0-curl php7.0-gd php7.0-mysql libxml2 libxml2-dev build-essential openssl libssl-dev libcurl4-gnutls-dev libjpeg-dev libpng-dev libmcrypt-dev libreadline6 libreadline6-dev libgd-dev libxslt-dev原文链接:http://www.zhouyalin.com/2016/01/04/php7mysql5-7nginx1-8-on-ubuntu.html

蛮大人123 2019-12-02 01:44:31 0 浏览量 回答数 0

问题

Ubuntu12.04使用LNMP一键安装包的问题

squirrel 2019-12-01 21:39:19 6528 浏览量 回答数 2

回答

Ubuntu通过apt安装LAMP环境#安装下面这几个包后就可以跑Discuz!这些常用PHP程序了 sudo apt-get install apache2 php5 php5-gd php5-mysqlnd mysql-server sudo service apache2 {status|start|stop|restart|reload} sudo service mysql {status|start|stop|restart|reload} Apache网站根目录 /var/www Apache主目录 /etc/apache2 Apache主配置文件 /etc/apache2/apache2.conf Apache日志 /var/log/apache2 PHP主目录 /etc/php5 PHP配置文件 /etc/php5/apache2/php.ini PHP模块位置 /usr/lib/php5 MySQL配置文件 /etc/mysql/my.cnf MySQL数据库文件 /var/lib/mysql 运行 mysql_secure_installation 设置mysql根用户密码 防火墙只开放ssh(22端口),http(80端口): Ubuntu使用ufw可以这样做: sudo ufw enable && \ sudo ufw default deny && \ sudo ufw allow 22/tcp && \ sudo ufw allow 80/tcp && \ sudo ufw status 可以这样删除,比如80端口: sudo ufw delete allow 80/tcp Ubuntu使用iptables可以这样做: sudo ufw disable && sudo ufw default allow 设置INPUT/FORWARD/OUTPUT为ACCEPT,如果为DENY,下一步骤将使系统的所有网络访问中断,包括ssh. sudo iptables -F && sudo iptables -X && sudo iptables -Z && sudo iptables -L sudo iptables -A INPUT -m state --state ESTABLISHED,RELATED -j ACCEPT sudo iptables -A INPUT -i lo -j ACCEPT sudo iptables -A INPUT -p tcp -i eth0 --dport 22 -j ACCEPT sudo iptables -A INPUT -p tcp -i eth0 --dport 80 -j ACCEPT sudo iptables -A INPUT -j DROP iptables-save > /etc/iptables.up.rules 切换到root用户执行,sudo会提示无权限.Redhat的保存操作为service iptables save. sudo nano /etc/network/interfaces 在末尾添加一行,在网络启动时应用防火墙规则: pre-up iptables-restore < /etc/iptables.up.rules 查看设置的规则: sudo iptables -nvL --line-numbers 插入一条规则到INPUT链第6的位置: sudo iptables -I INPUT 6 -j DROP 修改INPUT链的第6条规则: sudo iptables -R INPUT 6 -j ACCEPT 删除INPUT链第6条规则: sudo iptables -D INPUT 6 ssh使用密钥验证登录: #生成密钥对(私钥id_rsa和公钥id_rsa.pub) ssh-keygen cd ~/.ssh cat id_rsa.pub >> authorized_keys #使用密钥登录后禁止密码认证 sudo nano /etc/ssh/sshd_config PasswordAuthentication no #重启服务生效 sudo service ssh restart 如果你要使用最新的PHP7,最好还是学习一下自行编译,比如: Ubuntu上Nginx/Apache/PHP编译打包教程

a123456678 2019-12-02 02:59:05 0 浏览量 回答数 0

问题

云服务器 ECS Linux系统 Nginx Apache MySQL PHP 编译参数查看命令汇总

boxti 2019-12-01 21:57:26 1254 浏览量 回答数 0

问题

php生成图片问题,什么原因?

落地花开啦 2019-12-01 20:02:15 875 浏览量 回答数 1

问题

ubuntu设置全过程

mailshuxin 2019-12-01 20:25:46 11233 浏览量 回答数 3

问题

只需3分钟,为阿里云ECS快速搭建LNMP环境!长期更新

ap7765q7k 2019-12-01 21:35:11 26076 浏览量 回答数 16

问题

如何在PHP 7中启用MySQLi扩展??mysql

保持可爱mmm 2020-05-17 13:33:13 1 浏览量 回答数 1

回答

解压即用,Ubuntu上Nginx/Apache/PHP编译打包<atarget="_blank"rel="nofollow">http://my.oschina.net/eechen/blog/298027附有详细的编译打包方法.解压即用,跨Linux发行版PHP7打包<atarget="_blank"rel="nofollow">http://my.oschina.net/eechen/blog/411534 手动编译的php,php、php-cgi、phpize、php-config、pecl、pear,在编译目录的bin目录下,你的话,是/usr/local/php/bin。 php-fpm不知道你编译的时候有没有启用fpm,如果启用了,php-fpm在/usr/local/php/sbin目录下。 默认的php-fpm的配置文件,在/usr/local/php/etc/php-fpm.default.conf。 ini文件默认没有的,你要从源代码的目录里面复制php.ini-production,到/usr/local/php/lib/php.ini,即可。 扩展的存放目录是:<spanstyle="font-family:微软雅黑,Verdana,sans-serif,宋体;line-height:22px;background-color:#FFFFFF;">/usr/local/lib/php/extensions/no-debug-non-zts-20131226/ 你没指定目录啊,应该是装在 /usr/local/share下了,或者重新编译下  ./configure--prefix=path 编译后的文件在 <spanstyle="font-family:'MicrosoftYaHei',Verdana,sans-serif,宋体;font-size:14px;line-height:22px;background-color:#FFFFFF;"> /usr/local/lib/php/extensions/no-debug-non-zts-20131226/ <spanstyle="font-family:'MicrosoftYaHei',Verdana,sans-serif,宋体;font-size:14px;line-height:22px;background-color:#FFFFFF;">这个目录里面执行whereisphp或者用find命令查找一下看看 感谢大家的回答,根据大家的说法,我的错误应该是在没有配置php的编译的路径参数 我目前使用apt安装后php的配置文件是在 /etc/php5 (对php操作最多的就是修改php.ini, php其他的安装路径我基本没用到过) ├──apache2│ ├──conf.d│ │ ├──05-opcache.ini->../../mods-available/opcache.ini│ │ ├──10-pdo.ini->../../mods-available/pdo.ini│ │ ├──20-curl.ini->../../mods-available/curl.ini│ │ ├──20-gd.ini->../../mods-available/gd.ini│ │ ├──20-json.ini->../../mods-available/json.ini│ │ ├──20-mysqli.ini->../../mods-available/mysqli.ini│ │ ├──20-mysql.ini->../../mods-available/mysql.ini│ │ ├──20-pdo_mysql.ini->../../mods-available/pdo_mysql.ini│ │ ├──20-phalcon.ini->../../mods-available/phalcon.ini│ │ ├──20-readline.ini->../../mods-available/readline.ini│ │ ├──20-redis.ini->../../mods-available/redis.ini│ │ ├──libevent.ini│ │ └──phalcon.ini->/etc/php5/mods-available/phalcon.ini│ ├──php.ini│ └──php.ini.bak├──cli│ ├──conf.d│ │ ├──05-opcache.ini->../../mods-available/opcache.ini│ │ ├──10-pdo.ini->../../mods-available/pdo.ini│ │ ├──20-curl.ini->../../mods-available/curl.ini│ │ ├──20-gd.ini->../../mods-available/gd.ini│ │ ├──20-json.ini->../../mods-available/json.ini│ │ ├──20-mysqli.ini->../../mods-available/mysqli.ini│ │ ├──20-mysql.ini->../../mods-available/mysql.ini│ │ ├──20-pdo_mysql.ini->../../mods-available/pdo_mysql.ini│ │ ├──20-phalcon.ini->../../mods-available/phalcon.ini│ │ ├──20-readline.ini->../../mods-available/readline.ini│ │ ├──20-redis.ini->../../mods-available/redis.ini│ │ └──libevent.ini│ ├──php.ini│ └──php.ini.bak└──mods-available  ├──adodb.ini  ├──curl.ini  ├──gd.ini  ├──json.ini  ├──mcrypt.ini  ├──mssql.ini  ├──mysqli.ini  ├──mysql.ini  ├──opcache.ini  ├──pdo_dblib.ini  ├──pdo.ini  ├──pdo_mysql.ini  ├──pdo_pgsql.ini  ├──pgsql.ini  ├──phalcon.ini  ├──readline.ini  ├──redis.ini  └──xdebug.ini <spanstyle="font-family:Verdana,sans-serif,宋体;font-size:14px;line-height:normal;background-color:#FFFFFF;">php-fpm 我都不知道这个做什么用的,还有 <spanstyle="font-family:Verdana,sans-serif,宋体;font-size:14px;line-height:normal;background-color:#FFFFFF;">php-cgi,我会百度查一下,看看他们是做什么的,怎么用的, <spanstyle="font-size:14px;line-height:normal;background-color:#FFFFFF;">再次感谢各位对我的帮助,我接下来会百度目前提到的问题,<spanstyle="line-height:1.5;font-size:10pt;">如果还不行,我再私信各位 linux下用find命令找一下 find/-namephp.ini 为什么不看提示? Installingsharedextensions:  /usr/local/lib/php/extensions/no-debug-non-zts-20131226/

爱吃鱼的程序员 2020-06-14 16:13:25 0 浏览量 回答数 0

回答

apt-get安装的php默认就自带了zlib了吧:php-m|grepzlib查看zlib是否已经加载php--ini查看当前使用的配置文件(没有配置文件,PHP也是能正常工作的)其实这些在phpinfo里都能看到的吧.今天关机了,明天一早把phpinfo发给你老看一下 <aclass='referer'target='_blank'>@eechen这里是phar的信息 <aname="module_Phar"rel="nofollow">Phar<tableborder="0"cellpadding="3">Phar:PHPArchivesupportenabledPharEXTversion2.0.1PharAPIversion1.1.1SVNrevision$Id:ec823514107160b7e6fabc519594012657a2db91$Phar-basedphararchivesenabledTar-basedphararchivesenabledZIP-basedphararchivesenabledgzipcompressiondisabled(installext/zlib)bzip2compressiondisabled(installpecl/bz2)OpenSSLsupportdisabled(installext/openssl) sudoapt-getinstallphp5-cli /usr/bin/php5-r'print_r(get_declared_classes());'|grepZipArchive [122]=>ZipArchive 我这边是能找到这个已经声明的类的. 好我试试,刚才我扯了一下可能是和配置路径损坏有关系,我默认安装ubuntu的apt-get了5.3,后来手工升级成5.4这下子好像就乱了.我看到ConfigurationFile(php.ini)Path这类变量和实际的并不相同无语啊 已经找到原因了,还是升级编译php出的纰漏, 这些选项不是默认的,真恶心啊... 重新编译加上去安装之后就没问题了感谢<aclass='referer'target='_blank'>@eechen回复<aclass='referer'target='_blank'>@eechen:是的,我以为很多选项都是默认的...杯具了http://php.net/manual/en/zip.installation.php你应该是在configure时漏了--enable-zip,所以没有ZipArchive这个类.<atarget="_blank"rel="nofollow">https://wiki.php.net/phpng 这是鸟哥他们开发测试用的编译配置,覆盖了大多数常用的功能,你参考一下: ./configure<br>--prefix=$HOME/tmp/usr<br>--with-config-file-path=$HOME/tmp/usr/etc<br>--enable-mbstring<br>--enable-zip<br>--enable-bcmath<br>--enable-pcntl<br>--enable-ftp<br>--enable-exif<br>--enable-calendar<br>--enable-sysvmsg<br>--enable-sysvsem<br>--enable-sysvshm<br>--enable-wddx<br>--with-curl<br>--with-mcrypt<br>--with-iconv<br>--with-gmp<br>--with-pspell<br>--with-gd<br>--with-jpeg-dir=/usr<br>--with-png-dir=/usr<br>--with-zlib-dir=/usr<br>--with-xpm-dir=/usr<br>--with-freetype-dir=/usr<br>--with-t1lib=/usr<br>--enable-gd-native-ttf<br>--enable-gd-jis-conv<br>--with-openssl<br>--with-mysql=/usr<br>--with-pdo-mysql=/usr<br>--with-gettext=/usr<br>--with-zlib=/usr<br>--with-bz2=/usr<br>--with-recode=/usr<br>--with-mysqli=/usr/bin/mysql_config 根据https://wiki.php.net/phpng总结得出的新的编译参数: sudoapt-getinstall<br>build-essential<br>autoconf<br>libtool<br>re2c<br>libxml2-dev<br>openssl<br>libcurl4-openssl-dev<br>libbz2-dev<br>libjpeg-dev<br>libpng12-dev<br>libfreetype6-dev<br>libldap2-dev<br>libmcrypt-dev<br>libmysqlclient-dev<br>libxslt1-dev<br>libxt-dev<br>libpcre3-dev<br>libxpm-dev<br>libt1-dev<br>libgmp-dev<br>libpspell-dev<br>librecode-dev libxml2-dev依赖libxml2,安装开发包libxml2-dev时会自动安装上共享库libxml2,其他开发包也类似. sudoln-s/usr/include/x86_64-linux-gnu/gmp.h/usr/include/gmp.h或者--with-gmp=/usr/include/x86_64-linux-gnu ./configure<br>--prefix=/png/php/phpng<br>--enable-fpm<br>--enable-opcache<br>--enable-pdo<br>--enable-sockets<br>--enable-exif<br>--enable-soap<br>--enable-ftp<br>--enable-wddx<br>--enable-pcntl<br>--enable-soap<br>--enable-bcmath<br>--enable-mbstring<br>--enable-dba<br>--enable-gd-native-ttf<br>--enable-gd-jis-conv<br>--enable-zip<br>--enable-calendar<br>--enable-shmop<br>--enable-sysvmsg<br>--enable-sysvsem<br>--enable-sysvshm<br>--with-mysql<br>--with-mysqli<br>--with-pdo-mysql<br>--with-pdo-sqlite<br>--with-iconv<br>--with-gmp<br>--with-pspell<br>--with-gettext<br>--with-xmlrpc<br>--with-openssl<br>--with-mhash<br>--with-mcrypt<br>--with-xsl<br>--with-curl<br>--with-pcre-regex<br>--with-gd<br>--with-jpeg-dir=/usr<br>--with-png-dir=/usr<br>--with-zlib-dir=/usr<br>--with-xpm-dir=/usr<br>--with-freetype-dir=/usr<br>--with-t1lib=/usr<br>--with-gettext=/usr<br>--with-zlib=/usr<br>--with-bz2=/usr<br>--with-recode=/usr<br>--with-ldap<br>--with-pear<br>--with-fpm-user=png<br>--with-fpm-group=png<br>--with-apxs2=/png/httpd/2.4.10/bin/apxs感谢!

爱吃鱼的程序员 2020-06-14 17:22:41 0 浏览量 回答数 0

问题

小白阿里云安装wordpress成功

我炸喷 2019-12-01 21:52:44 14129 浏览量 回答数 5

问题

小白终于拿到云服务器了,wordpress安装成功。。

我炸喷 2019-12-01 21:52:31 13808 浏览量 回答数 5
阿里云大学 云服务器ECS com域名 网站域名whois查询 开发者平台 小程序定制 小程序开发 国内短信套餐包 开发者技术与产品 云数据库 图像识别 开发者问答 阿里云建站 阿里云备案 云市场 万网 阿里云帮助文档 免费套餐 开发者工具 云栖号物联网 小程序开发制作 视频内容分析 企业网站制作 视频集锦 代理记账服务 2020阿里巴巴研发效能峰会 企业建站模板 云效成长地图 高端建站 云栖号弹性计算 阿里云云栖号 云栖号案例 云栖号直播